> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract a website styleguide



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /data/web/styleguide
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /data/web/styleguide:
    get:
      tags:
        - Data APIs
      summary: Extract a website styleguide
      operationId: styleguide_endpoint
      parameters:
        - name: domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Domain
        - name: directUrl
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Directurl
        - name: maxAgeMs
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 7776000000
            title: Maxagems
        - name: colorScheme
          in: query
          required: false
          schema:
            type: string
            default: light
            title: Colorscheme
        - name: timeoutOpts[milliseconds]
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Timeoutopts[Milliseconds]
        - name: timeoutOpts[behavior]
          in: query
          required: false
          schema:
            type: string
            default: fail
            title: Timeoutopts[Behavior]
        - name: zdr
          in: query
          required: false
          schema:
            type: string
            default: disabled
            title: Zdr
        - name: tags
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tags
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StyleguideResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os

            import requests

            response = requests.get(
                "https://api.notte.cc/data/web/styleguide?domain=notte.cc",
                headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
                timeout=330,
            )
            response.raise_for_status()
            print(response.json())
          label: python
        - lang: TypeScript
          source: >-
            const response = await
            fetch("https://api.notte.cc/data/web/styleguide?domain=notte.cc", {
              method: "GET",
              headers: {
                Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
              },
              signal: AbortSignal.timeout(330_000),
            });

            if (!response.ok) throw new Error(await response.text());

            console.log(await response.json());
          label: node
        - lang: Curl
          source: >-
            curl --fail-with-body --max-time 330 --request GET
            'https://api.notte.cc/data/web/styleguide?domain=notte.cc' \
              --header "Authorization: Bearer $NOTTE_API_KEY"
          label: curl
components:
  schemas:
    StyleguideResponse:
      properties:
        status:
          type: string
          const: ok
          title: Status
        domain:
          type: string
          title: Domain
        styleguide:
          $ref: '#/components/schemas/Styleguide'
        code:
          type: integer
          title: Code
        finalDOMState:
          type: string
          enum:
            - loaded
            - still-loading
          title: Finaldomstate
        cache_metadata:
          $ref: '#/components/schemas/StyleguideCacheMetadata'
        request_id:
          type: string
          title: Request Id
      additionalProperties: false
      type: object
      required:
        - status
        - domain
        - styleguide
        - code
        - finalDOMState
        - cache_metadata
        - request_id
      title: StyleguideResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Styleguide:
      properties:
        mode:
          type: string
          enum:
            - light
            - dark
          title: Mode
        colors:
          $ref: '#/components/schemas/Colors'
        typography:
          $ref: '#/components/schemas/Typography'
        elementSpacing:
          $ref: '#/components/schemas/Spacing'
        shadows:
          $ref: '#/components/schemas/Shadows'
        fontLinks:
          additionalProperties:
            $ref: '#/components/schemas/FontLink'
          type: object
          title: Fontlinks
        components:
          $ref: '#/components/schemas/Components'
      additionalProperties: false
      type: object
      required:
        - mode
        - colors
        - typography
        - elementSpacing
        - shadows
        - fontLinks
        - components
      title: Styleguide
    StyleguideCacheMetadata:
      properties:
        status:
          type: string
          const: miss
          title: Status
          default: miss
        age_ms:
          type: integer
          title: Age Ms
          default: 0
      additionalProperties: false
      type: object
      title: StyleguideCacheMetadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Colors:
      properties:
        accent:
          type: string
          title: Accent
        background:
          type: string
          title: Background
        text:
          type: string
          title: Text
      additionalProperties: false
      type: object
      required:
        - accent
        - background
        - text
      title: Colors
    Typography:
      properties:
        headings:
          $ref: '#/components/schemas/HeadingStyles'
        p:
          anyOf:
            - $ref: '#/components/schemas/TypographyStyle'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - headings
      title: Typography
    Spacing:
      properties:
        xs:
          type: string
          title: Xs
        sm:
          type: string
          title: Sm
        md:
          type: string
          title: Md
        lg:
          type: string
          title: Lg
        xl:
          type: string
          title: Xl
      additionalProperties: false
      type: object
      required:
        - xs
        - sm
        - md
        - lg
        - xl
      title: Spacing
    Shadows:
      properties:
        sm:
          type: string
          title: Sm
        md:
          type: string
          title: Md
        lg:
          type: string
          title: Lg
        xl:
          type: string
          title: Xl
        inner:
          type: string
          title: Inner
      additionalProperties: false
      type: object
      required:
        - sm
        - md
        - lg
        - xl
        - inner
      title: Shadows
    FontLink:
      properties:
        type:
          type: string
          enum:
            - google
            - custom
          title: Type
        files:
          additionalProperties:
            type: string
          type: object
          title: Files
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
      additionalProperties: false
      type: object
      required:
        - type
        - files
      title: FontLink
    Components:
      properties:
        button:
          $ref: '#/components/schemas/ButtonStyles'
        card:
          anyOf:
            - $ref: '#/components/schemas/CardStyle'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - button
      title: Components
    HeadingStyles:
      properties:
        h1:
          anyOf:
            - $ref: '#/components/schemas/TypographyStyle'
            - type: 'null'
        h2:
          anyOf:
            - $ref: '#/components/schemas/TypographyStyle'
            - type: 'null'
        h3:
          anyOf:
            - $ref: '#/components/schemas/TypographyStyle'
            - type: 'null'
        h4:
          anyOf:
            - $ref: '#/components/schemas/TypographyStyle'
            - type: 'null'
      additionalProperties: false
      type: object
      title: HeadingStyles
    TypographyStyle:
      properties:
        fontFamily:
          type: string
          title: Fontfamily
        fontFallbacks:
          items:
            type: string
          type: array
          title: Fontfallbacks
        fontSize:
          type: string
          title: Fontsize
        fontWeight:
          type: number
          title: Fontweight
        lineHeight:
          type: string
          title: Lineheight
        letterSpacing:
          type: string
          title: Letterspacing
      additionalProperties: false
      type: object
      required:
        - fontFamily
        - fontFallbacks
        - fontSize
        - fontWeight
        - lineHeight
        - letterSpacing
      title: TypographyStyle
    ButtonStyles:
      properties:
        primary:
          anyOf:
            - $ref: '#/components/schemas/ButtonStyle'
            - type: 'null'
        secondary:
          anyOf:
            - $ref: '#/components/schemas/ButtonStyle'
            - type: 'null'
        link:
          anyOf:
            - $ref: '#/components/schemas/ButtonStyle'
            - type: 'null'
      additionalProperties: false
      type: object
      title: ButtonStyles
    CardStyle:
      properties:
        backgroundColor:
          type: string
          title: Backgroundcolor
        borderColor:
          type: string
          title: Bordercolor
        borderRadius:
          type: string
          title: Borderradius
        borderWidth:
          type: string
          title: Borderwidth
        borderStyle:
          type: string
          title: Borderstyle
        padding:
          type: string
          title: Padding
        boxShadow:
          type: string
          title: Boxshadow
        textColor:
          type: string
          title: Textcolor
        css:
          type: string
          title: Css
      additionalProperties: false
      type: object
      required:
        - backgroundColor
        - borderColor
        - borderRadius
        - borderWidth
        - borderStyle
        - padding
        - boxShadow
        - textColor
        - css
      title: CardStyle
    ButtonStyle:
      properties:
        backgroundColor:
          type: string
          title: Backgroundcolor
        color:
          type: string
          title: Color
        borderColor:
          type: string
          title: Bordercolor
        borderRadius:
          type: string
          title: Borderradius
        borderWidth:
          type: string
          title: Borderwidth
        borderStyle:
          type: string
          title: Borderstyle
        padding:
          type: string
          title: Padding
        minWidth:
          type: string
          title: Minwidth
        minHeight:
          type: string
          title: Minheight
        fontSize:
          type: string
          title: Fontsize
        fontWeight:
          type: number
          title: Fontweight
        fontFamily:
          anyOf:
            - type: string
            - type: 'null'
          title: Fontfamily
        fontFallbacks:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fontfallbacks
        textDecoration:
          type: string
          title: Textdecoration
        textDecorationColor:
          anyOf:
            - type: string
            - type: 'null'
          title: Textdecorationcolor
        boxShadow:
          type: string
          title: Boxshadow
        css:
          type: string
          title: Css
      additionalProperties: false
      type: object
      required:
        - backgroundColor
        - color
        - borderColor
        - borderRadius
        - borderWidth
        - borderStyle
        - padding
        - minWidth
        - minHeight
        - fontSize
        - fontWeight
        - textDecoration
        - boxShadow
        - css
      title: ButtonStyle
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.